# $Revision: 1.61 $, $Date: 2008-06-01 19:55:14 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	Template
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}_Flexy

Summary:	%{_pearname} - a flexible caching template engine based on SimpleTemplate
Summary(pl.UTF-8):	%{_pearname} - elastyczny buforujący silnik szablonów oparty na SimpleTemplate
Name:		php-pear-%{_pearname}
Version:	1.3.4
Release:	2
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	f5295fa17b711bb3114ad134ef3f65ef
Patch0:		%{name}-case_fix.patch
Patch1:		%{name}-path_fix.patch
Patch2:		%{name}-no_gtk.patch
URL:		http://pear.php.net/package/HTML_Template_Flexy/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.3
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(HTML/Javascript.*)' 'pear(File/Gettext.*)' 'pear(Translation2.*)' 'pear(Services/JSON.php)'

%description
HTML_Template_Flexy started its life as a simplification of
HTML_Template_Xipe, however in version 0.2, it became one of the first
template engine to use a real Lexer, rather than regexes, making it
possible to do things like ASP.net or Cold Fusion tags. However, it
still has a very simple set of goals.
- Very Simple API,
	- easy to learn...
	- prevents to much logic going in templates
- Easy to write documentable code
	- By using object vars for a template rather than 'assign',
	  you can use PHPDoc comments to list what variable you use.
- Editable in WYSIWYG editors
	- you can create full featured templates, that don't get
	  broken every time you edit with Dreamweaver(tm) or Mozilla
	  editor
	- Uses namespaced attributes to add looping/conditionals
- Extremely Fast
	- runtime is at least 4 time smaller than most other template
	  engines (eg. Smarty)
	- uses compiled templates, as a result it is many times faster
	  on blocks and loops than than Regex templates (eg.
	  IT/phplib)
- Safer (for cross-site scripting attacks)
	- All variables default to be output as HTML escaped
	  (overridden with the :h modifier)
- Multilanguage support
	- Parses strings out of template, so you can build translation
	  tools
	- Compiles language specific templates (so translation is only
	  done once, not on every request)
- Full dynamic element support (like ASP.NET), so you can pick
	  elements to replace at runtime

The long term plan for Flexy is to be integrated as a backend for the
Future Template Package (A BC wrapper will be made available - as the
author needs to use it too).

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
HTML_Template_Flexy początkowo był uproszczeniem HTML_Template_Xipe,
jednak od wersji 0.2 stał się jednym z pierwszych silników szablonów
używających prawdziwego analizatora leksykalnego zamiast wyrażeń
regularnych, co umożliwia robienie rzeczy w stylu ASP.net czy
znaczników Cold Fusion. Jednak nadal ma bardzo prosty zbiór
zastosowań. Cechy silnika:
- bardzo proste API - łatwe do nauczenia, zapobiega umieszczaniu zbyt
  dużej ilości logiki w szablonach
- łatwe pisanie dokumentowalnego kodu - poprzez użycie zmiennych
  obiektowych dla szablonu zamiast przypisywania można używać
  komentarzy phpDoc do wypisywania używanych zmiennych
- edytowalny w edytorach WYSIWYG - można tworzyć w pełni funkcjonalne
  szablony, które nie psują się po każdym użyciu Dreamweavera(tm) czy
  edytora Mozilli; przy dodawaniu pętli i warunków używane są atrybuty
  z przestrzeniami nazw
- ekstremalnie szybki - kod uruchomieniowy jest przynajmniej 4 razy
  mniejszy niż większość innych silników szablonów (np. Smarty); używa
  skompilowanych szablonów, dzięki czemu jest wiele razy szybszy na
  blokach i pętlach niż szablony oparte na wyrażeniach regularnych
  (np. IT/phplib)
- bezpieczniejszy (pod kątem ataków cross-site scripting) - wszystkie
  zmienne domyślnie są wypisywane z użyciem sekwencji kontrolnych HTML
  (można to zmienić modyfikatorem :h)
- wspiera wielojęzyczność - przetwarza łańcuchy z szablonu, co pozwala
  na zbudowanie narzędzi do tłumaczenia; kompiluje specyficzne dla
  języka szablony, dzięki czemu tłumaczenie jest robione tylko raz, a
  nie przy każdym żądaniu
- w pełni obsługuje dynamiczne elementy (jak ASP.NET), dzięki czemu
  można pobierać elementy do zastąpienia w czasie działania.

Długoterminowym planem rozwoju Flexy jest zintegrowanie jako backend
dla Future Template Package (dostępny będzie wrapper BC, jako że autor
też musi tego używać).

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup
install -d docs/%{_pearname}
mv ./%{php_pear_dir}/%{_class}/%{_subclass}/Flexy/example.ini docs/%{_pearname}
cd ./%{php_pear_dir}/%{_class}/%{_subclass}
%patch0 -p1
%patch1 -p1
%patch2 -p6

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/example.ini
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}/Flexy
%{php_pear_dir}/%{_class}/%{_subclass}/Flexy.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_Template_Flexy.spec,v $
Revision 1.61  2008-06-01 19:55:14  adamg
- do not depend on Services/JSON.php; release 2

Revision 1.60  2008-05-17 19:28:38  adamg
- updated to 1.3.4

Revision 1.59  2008-01-31 12:16:07  glen
- rel 2

Revision 1.58  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.57  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.56  2006/11/26 20:34:26  glen
- 1.2.5

Revision 1.55  2006/10/06 12:41:34  blues
- rel.2 - no_gtk patch added

Revision 1.54  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.53  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.52  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.51  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.50  2006/01/23 22:48:31  glen
- 1.2.4

Revision 1.49  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.48  2005/10/30 23:11:10  glen
- epoch 0 back (argh)

Revision 1.47  2005/10/30 23:06:39  glen
- 1.2.3

Revision 1.46  2005/10/27 18:43:44  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.45  2005/10/05 18:31:31  glen
- rel 2

Revision 1.44  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.43  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.42  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.41  2005/09/26 20:04:52  glen
- new pear packaging

Revision 1.40  2005/07/27 06:38:40  adamg
- updated to 1.2.2

Revision 1.39  2005/02/05 19:37:26  adamg
- updated to 1.2.1

Revision 1.38  2004/12/28 02:05:09  adamg
- updated to 1.1.2

Revision 1.37  2004/12/27 19:40:06  qboosh
- updated pl desc

Revision 1.36  2004/12/27 19:24:50  qboosh
- more en fixes, shorter desc (usage instruction belongs to docs not desc

Revision 1.35  2004/12/27 19:21:40  qboosh
- en fixes and formatting

Revision 1.34  2004/12/26 17:23:50  adamg
- include missing files (solves unresolved deps issue)
- release 2

Revision 1.33  2004/12/24 09:10:35  adamg
- updated to 1.1.1

Revision 1.32  2004/12/19 14:57:45  adamg
- updated to 1.1.0

Revision 1.31  2004/12/04 21:46:07  adamg
- added path_fix.patch (fixes path in require_once call in RtfSimpleTags.php)
- release 3

Revision 1.30  2004/12/03 22:12:56  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.29  2004/10/31 22:10:46  paladine
- spaces->tabs
- formatting

Revision 1.28  2004/10/24 18:30:59  paladine
- spelling fixes, uppercases, etc.

Revision 1.27  2004/08/11 19:26:28  adamg
- updated to 1.0.1

Revision 1.26  2004/08/07 14:30:08  adamg
- updated en description (pl yet to be done)
- simplified %%files

Revision 1.25  2004/08/07 14:23:07  adamg
- updated to 1.0.0 (stable)

Revision 1.24  2004/07/09 07:42:04  ankry
- cosmetics

Revision 1.23  2004/07/08 19:41:27  adamg
- updated to 0.9.2

Revision 1.22  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.21  2004/05/05 21:32:05  adamg
- updated to 0.8.2

Revision 1.20  2004/04/25 17:32:50  adamg
- updated to 0.8.1

Revision 1.19  2004/04/07 10:19:24  adamg
- updated to 0.7.1

Revision 1.18  2004/04/03 15:13:31  adamg
- updated to 0.7

Revision 1.17  2004/01/24 16:40:13  adamg
- updated to 0.6.3

Revision 1.16  2003/12/24 10:13:56  adamg
- updated to 0.6.1

Revision 1.15  2003/12/23 15:07:15  adamg
- updated to 0.6

Revision 1.14  2003/10/07 20:54:46  adamg
- do not use macros in URL

Revision 1.13  2003/09/10 11:09:04  blues
- release 2 - added missing files and case_fix patch (M$ programers do not
  care of that...)

Revision 1.12  2003/09/03 18:14:02  adamg
- updated to 0.5 (NOTE: breaks BC)

Revision 1.11  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.10  2003/06/17 04:44:51  adamg
- updated to 0.4.2

Revision 1.9  2003/06/11 11:13:32  adamg
- updated to 0.4.1

Revision 1.8  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.7  2003/05/28 08:58:37  adamg
- massive attack: added source0-md5

Revision 1.6  2003/05/25 06:25:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/02/06 21:41:29  blues
- 0.3

Revision 1.4  2003/02/02 18:44:30  blues
- 0.2 - removed outdated patch, rewritten class, not compatible. NOT FOR RA

Revision 1.3  2002/10/14 23:42:21  misto
- new rpm-php-requires/provides scripts
- release 3

Revision 1.2  2002/09/16 16:23:21  qboosh
- pl description, release 2

Revision 1.1  2002/09/07 06:29:59  blues
- initial release - STBR
